light-mode-image
Learn
Credential offer

API Reference

Create an Authorization Code flow Credential Offer

POST/v1/openid/offers

Authorization

bearerAuthOpenIdCredentials
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/openid/offers" \  -H "Content-Type: application/json" \  -d '{    "credentials": [      "string"    ]  }'
{  "uri": "string"}

Create a Pre-Authorized Code flow Credential Offer

POST/v1/openid/offers/pre-authorized

Authorization

bearerAuthOpenIdCredentials
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/openid/offers/pre-authorized" \  -H "Content-Type: application/json" \  -d '{    "credentials": [      "string"    ]  }'
{  "id": "string",  "userId": "string",  "uri": "string",  "expiresAt": 0,  "transactionCode": "string"}

Delete a Pre-Authorized Code flow Credential Offer

DELETE/v1/openid/offers/pre-authorized/{id}

Authorization

bearerAuthOpenIdCredentials
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Pre-authorized credential offer ID

Formatuuid

Response Body

application/json

application/json

curl -X DELETE "https://example.com/v1/openid/offers/pre-authorized/497f6eca-6276-4993-bfeb-53cbbbba6f08"
Empty

How would you rate this page?

Last updated on

On this page